Loading...
Searching...
No Matches
old_object.h File Reference

COldObject - legacy CObject code. More...

`#include "common/event.h"`
`#include "object/object.h"`
`#include "object/implementation/power_container_impl.h"`
`#include "object/implementation/program_storage_impl.h"`
`#include "object/implementation/programmable_impl.h"`
`#include "object/implementation/task_executor_impl.h"`
`#include "object/interface/controllable_object.h"`
`#include "object/interface/flying_object.h"`
`#include "object/interface/interactive_object.h"`
`#include "object/interface/jet_flying_object.h"`
`#include "object/interface/jostleable_object.h"`
`#include "object/interface/movable_object.h"`
`#include "object/interface/power_container_object.h"`
`#include "object/interface/programmable_object.h"`
`#include "object/interface/ranged_object.h"`
`#include "object/interface/shielded_auto_regen_object.h"`
`#include "object/interface/slotted_object.h"`
`#include "object/interface/task_executor_object.h"`
`#include "object/interface/trace_drawing_object.h"`
`#include "object/interface/transportable_object.h"`
Include dependency graph for old_object.h:

## Classes

struct | ObjectPart
class | COldObject

## Variables

const int | OBJECTMAXPART = 40

## Detailed Description

COldObject - legacy CObject code.